package com.bocloud.cmp.model;

/**
 * create by hufy 引入此模型是为了在处理云机，物理机相关信息的时候不用区分对待
 */
public class ServerResource {
    private Long resourceId; // resource表里的id
    private String manageIp; // ip
    private String name; // 服务器名称
    private Integer managePort; // 端口
    private String account; // 帐号
    private String password; // 密码
    private String failedReason; // 失败原因
    private String osCategory;

    public Long getResourceId() {
        return resourceId;
    }

    public String getOsCategory() {
        return osCategory;
    }

    public void setOsCategory(String osCategory) {
        this.osCategory = osCategory;
    }

    public void setResourceId(Long resourceId) {
        this.resourceId = resourceId;
    }

    public String getManageIp() {
        return manageIp;
    }

    public void setManageIp(String manageIp) {
        this.manageIp = manageIp;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getManagePort() {
        return managePort;
    }

    public void setManagePort(Integer managePort) {
        this.managePort = managePort;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getFailedReason() {
        return failedReason;
    }

    public void setFailedReason(String failedReason) {
        this.failedReason = failedReason;
    }
}